/*

   Dummy file for linux testing port of libbiwak

*/

#include <biwak/usb_class.h>

uint8_t USBD_CDC_CfgFSDesc[2]{ 0, 0, };
uint8_t USBD_HID_CfgDesc[2]{ 0, 0, };
    
TUsbClassDesc usbClassCdc = USBD_CDC_CfgFSDesc;
TUsbClassDesc usbClassHid = USBD_HID_CfgDesc;

CUsbClass::CUsbClass(CUsb &_periphery, CUsbDevice &_device, TUsbClassDesc desc)
    :usb(_periphery)
    ,device(_device)
    ,m_desc(desc)
{
   
}


int CUsbClass::write(const void *buf, int size) /* virtual override */
{
   return(-1);
}


void CUsbClass::flushOutput() /* virtual override */
{
}


void CUsbClass::eventLoop() /* virtual override */
{
   
}

